cordova.define("com.triedtech.triedapp.plugins.share.Share", function (require, exports, module) {

    var exec = require('cordova/exec');

    var share = {

        /**
         * false:没有初始化 true：已经初始化
         */
        initState: false,

        /**
         * 注册分享服务
         * @param oData
         * @method private
         */
        init: function (oData) {
            var key = T.AppConfig ? T.AppConfig.baiduKey : "dHwDe5TTTtFEv4MOgoeTGLvX";
            exec(this.success, null, "Share", "init", [key, oData]);
        },

        /**
         * show share panel
         * shareData = {
         *     title:标题
         *     content:内容
         *     type:展示面板的类型  0：原始类型 1：主题风格 2：简洁风格
         *     url:分享的网址
         *     img:分享图片
         * }
         * @param shareData
         * @public
         */
        showBox: function (shareData) {
            var oData = {
                title: "",
                content: "",
                type: 0
            };
            oData = typeof Ext !== "undefined" ? Ext.applyIf(shareData, oData) : T.Common.applyIf(shareData, oData);
            if (this.initState) {
                exec(this.success, null, "Share", "showBox", [oData]);
            } else {
                this.initState = true;
                this.init(oData);
            }

        },

        success: function(data){
            if(data.result === 1){
                T.AppSystem.fadeMsg(L.COMMENT_SUCCESS);
            }
        }
    };

    module.exports = share;
});
